tabquantification = fluidPage(

box(title = "Parameters :", width = 12, status = "primary", collapsible = TRUE, solidHeader = TRUE,

	selectInput("selectquantification", label = "Select the tool to use : ", selected = "kallisto", choices = list("kallisto" = "kallisto", "salmon" = "salmon")),

conditionalPanel(condition = "input.selectquantification == 'kallisto'",box(title = "kallisto", width = 12, status = "success", collapsible = TRUE, solidHeader = TRUE,
	box(title = "Reference fasta file", width = 12, status = "success", collapsible = TRUE, solidHeader = TRUE,
		selectInput("kallisto_index_input_select",label = "Select where to find the file", selected = "server", choices = c("On server" = "server", "On your machine" = "local")),
		conditionalPanel(condition = "input.kallisto_index_input_select == 'server'",
				tags$label("Reference fasta file"),
				fluidRow(
					column(4,shinyFilesButton("shinyfiles_kallisto_index_input",label="Please select a file", title="Reference fasta file", multiple=FALSE)),
					column(8,textInput("kallisto_index_input_server",label=NULL,value=""))
				)
			),
		conditionalPanel(condition = "input.kallisto_index_input_select == 'local'",
			fileInput("kallisto_index_input_local",label = "Reference fasta file")
		)
	)
,

		numericInput("kallisto_quant_threads", label = "Number of threads to use", min = 1, max = NA, step = 1, width =  "auto", value = 4),

		numericInput("kallisto_quant_fragment_length_SE", label = "Estimated average fragment length", min = 1, max = NA, step = 1, width =  "auto", value = 300),

		numericInput("kallisto_quant_standard_deviation_SE", label = "Estimated standard deviation of fragment length", min = 1, max = NA, step = 1, width =  "auto", value = 2),

		radioButtons("kallisto_quant_stranded_PE", label = "For strand specific mode choose --fr-stranded if the first read is forward and choose --rf-stranded if the first read is reverse", choices = list("Not stranded" = "", "Forward Reverse" = "--fr-stranded", "Reverse Forward" = "--rf-stranded"),  selected = "", width =  "auto"),

		p("kallisto: kallisto is a program for quantifying abundances of transcripts from RNA-Seq data, or more generally of target sequences using high-throughput sequencing reads."),

		p("Website : ",a(href="https://pachterlab.github.io/kallisto/","https://pachterlab.github.io/kallisto/",target="_blank")),

		p("Documentation : ",a(href="https://pachterlab.github.io/kallisto/manual","https://pachterlab.github.io/kallisto/manual",target="_blank")),

		p("Paper : ",a(href="https://doi.org/10.1038/nbt.3519","https://doi.org/10.1038/nbt.3519",target="_blank"))

	)),
conditionalPanel(condition = "input.selectquantification == 'salmon'",box(title = "Salmon", width = 12, status = "success", collapsible = TRUE, solidHeader = TRUE,
	box(title = "Reference fasta file", width = 12, status = "success", collapsible = TRUE, solidHeader = TRUE,
		selectInput("salmon_index_input_select",label = "Select where to find the file", selected = "server", choices = c("On server" = "server", "On your machine" = "local")),
		conditionalPanel(condition = "input.salmon_index_input_select == 'server'",
				tags$label("Reference fasta file"),
				fluidRow(
					column(4,shinyFilesButton("shinyfiles_salmon_index_input",label="Please select a file", title="Reference fasta file", multiple=FALSE)),
					column(8,textInput("salmon_index_input_server",label=NULL,value=""))
				)
			),
		conditionalPanel(condition = "input.salmon_index_input_select == 'local'",
			fileInput("salmon_index_input_local",label = "Reference fasta file")
		)
	)
,

		numericInput("salmon_index_threads", label = "Number of threads to use for index creation", min = 1, max = NA, step = 1, width =  "auto", value = 4),

		numericInput("salmon_quant_threads", label = "Number of threads to use", min = 1, max = NA, step = 1, width =  "auto", value = 4),

		p("Salmon: Salmon is a tool for quantifying the expression of transcripts using RNA-seq data. "),

		p("Website : ",a(href="https://combine-lab.github.io/salmon/","https://combine-lab.github.io/salmon/",target="_blank")),

		p("Documentation : ",a(href="https://salmon.readthedocs.io/en/latest/","https://salmon.readthedocs.io/en/latest/",target="_blank")),

		p("Paper : ",a(href="https://doi.org/10.1038/nmeth.4197","https://doi.org/10.1038/nmeth.4197",target="_blank"))

	))))


